Users

Get Private Profile

GET
/profile/{userId}/private

Get profile information visible to the currently authenticated user.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/profile/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469/private"
{
  "activity": {
    "instanceId": "12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
    "last_activity": "string",
    "last_login": "string",
    "location": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd:12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
    "platform": "standalonewindows",
    "state": "active",
    "travelingToInstance": "string",
    "travelingToLocation": "string",
    "travelingToWorld": "string",
    "worldId": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd"
  },
  "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "isFriend": true,
  "note": "string",
  "status": "active",
  "statusDescription": "string"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}